%define builtin_release_version 3.0.9
%define builtin_release_name "Scientific Linux" 
%define builtin_release_variant SL 
%define builtin_release_codename SL 
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: %{builtin_release_name} release file
Name: sl-release
Version: %{real_release_version}
Release: 7.9
Copyright: GPL
Group: System Environment/Base
Source: sl-release-%{builtin_release_variant}-%{builtin_release_version}.tar.gz
Source2: %{name}-default-bookmarks.html
Source11: SL.releasenote.i386
Source12: SL.releasenote.x86_64
Source13: SL.releasenote.ia64
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de hepl-release
BuildRoot: %{_tmppath}/redhat-release-root
BuildArchitectures: noarch

%description
%{builtin_release_name} release file

%prep
%setup -q -n sl-release-%{builtin_release_variant}-%{builtin_release_version}

%%build 
#python -c "import py_compile; py_compile.compile('eula.py')"

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{builtin_release_name} %{builtin_release_variant} release %{builtin_release_version} (%{builtin_release_codename})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
#cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

#mkdir -p $RPM_BUILD_ROOT/usr/share/eula
#cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/%{name}/default-bookmarks.html

install -m 644 %{SOURCE11} $RPM_BUILD_DIR/%{name}-%{builtin_release_variant}-%{builtin_release_version}/SL.%{builtin_release_version}.i386.release.notes
install -m 644 %{SOURCE12} $RPM_BUILD_DIR/%{name}-%{builtin_release_variant}-%{builtin_release_version}/SL.%{builtin_release_version}.x86_64.release.notes
install -m 644 %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{builtin_release_variant}-%{builtin_release_version}/SL.%{builtin_release_version}.ia64.release.notes

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%triggerin -- seamonkey, %{_bindir}/mozilla
{
	shopt -s nullglob
	for line in /usr/lib{,64}/mozilla*/defaults/profile
	do
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/bookmarks.html
		[ -d "$line" ] && cp -f /usr/share/%{name}/default-bookmarks.html $line/US/bookmarks.html
	done
} &> /dev/null || :

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc SL*
%doc GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%config(noreplace) /usr/share/%{name}/default-bookmarks.html
/var/lib/supportinfo
#/usr/share/firstboot/modules/eula.py*
#/usr/share/eula/eula.*
